Subject: [PATCH v3 0/5] Cavium ThunderX uncore PMU support

From: [email-masked] (Mark Rutland)
Date: Thu, 20 Oct 2016 11:44:18 +0100

On Thu, Oct 20, 2016 at 12:37:07PM +0200, Peter Zijlstra wrote:
> On Thu, Oct 20, 2016 at 11:30:36AM +0200, Jan Glauber wrote:
> > Note:
> > I'm using perf_sw_context in difference to perf_invalid_context
> > (see WARN_ON in perf_pmu_register). Reason is that with perf_invalid_context
> > add() is never called and the counter results are shown as "unsupported" by
> > perf. With perf_sw_context everything works as expected.
> 
> What?! All the uncore PMUs use perf_invalid_context. What doesn't work
> for you?

I think there's general confusion over the use of invalid context.
Perhaps we could clear that up with:

#define perf_uncore_context	perf_invalid_context

and

s/perf_hw_context/perf_cpu_hw_context/

Mark.